# Interface PackagerLink

interface PackagerLink {
_applies: string[];
from: Link<any>;
from_id?: any;
id: any;
in: Link<any>[];
inByType: {
[id: string]: L[];
};
ml?: MinilinkCollection<MinilinksGeneratorOptions, Link<any>>;
out: Link<any>[];
outByType: {
[id: string]: L[];
};
to: Link<any>;
to_id?: any;
type: Link<any>;
type_id: any;
typed: Link<any>[];
value?: any;
}

#### Hierarchy (view full)

- Link<any>
  - PackagerLink

- Defined in work/deeplinks/deeplinks/imports/packager.ts:62

#####
Index

### Properties

_applies
from
from_id?
id
in
inByType
ml?
out
outByType
to
to_id?
type
type_id
typed
value?

## Properties

### _applies

_applies: string[]

Inherited from Link._applies

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:42

### from

from: Link<any>

Inherited from Link.from

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:39

### `Optional` from_id

from_id?: any

Inherited from Link.from_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:27

### id

id: any

Inherited from Link.id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:25

### in

in: Link<any>[]

Inherited from Link.in

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:35

### inByType

inByType: {
[id: string]: L[];
}

#### Type declaration

- ##### [id: string]: L[]

Inherited from Link.inByType

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:36

### `Optional` ml

ml?: MinilinkCollection<MinilinksGeneratorOptions, Link<any>>

Inherited from Link.ml

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:43

### out

out: Link<any>[]

Inherited from Link.out

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:37

### outByType

outByType: {
[id: string]: L[];
}

#### Type declaration

- ##### [id: string]: L[]

Inherited from Link.outByType

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:38

### to

to: Link<any>

Inherited from Link.to

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:40

### `Optional` to_id

to_id?: any

Inherited from Link.to_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:28

### type

type: Link<any>

Inherited from Link.type

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:34

### type_id

type_id: any

Inherited from Link.type_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:26

### typed

typed: Link<any>[]

Inherited from Link.typed

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:33

### `Optional` value

value?: any

Overrides Link.value

- Defined in work/deeplinks/deeplinks/imports/packager.ts:63

Generated using TypeDoc